#==========================================================================================
# Application section
#
# Do not edit this section
#==========================================================================================

# logical JNDI of the javax.jms.QueueConnectionFactory
jndi.queue.ConnectionFactory=jms/xpetstore/QueueConnectionFactory

# logical JNDI of the queue used by xpetstore.services.order.OrderProcessorMDB
jndi.queue.order=jms/queue/xpetstore/order

# logical JNDI of the queue used by xpetstore.services.mail.MailerMDB
jndi.queue.mail=jms/queue/xpetstore/mail

# logical JNDI of javax.mail.MailSession
jndi.mail.session=mail/xpetstore/MailSession

# logical JNDI of javax.sql.DataSource
jndi.datasource=jdbc/xpetstore




#==========================================================================================
# WebLogic Section
#
# Notes
# 	- Make sure that the environemment variable WL_HOME is set
#   - Create a new domain named xpetstore
#     Make sure that the property weblogic.domain.dir point to the domain's directory
#   - You must create the following resources:
#      	1. JDBC datasource: jndi-name=jdbc/xpetstore
#		2. JMS queues: jndi-names=jms/queue/order, jms/queue/mail
#		3. JMS connection factory: jndi-name=jms/ConnectionFactory
#		4. Mail session: jndi-name=mail/MailSession
#  Goto XPETSTORE_HOME/src/petstore/etc/jboss to see config.xml
#==========================================================================================

# WebLogic version
weblogic.version=7.0

# WebLogic home directory
weblogic.home.dir=${env.WL_HOME}

# Home directory of the domain
weblogic.domain.dir=${weblogic.home.dir}/../user_projects/xpetstore

# WebLogic Deploment directory
weblogic.deploy.dir=${weblogic.domain.dir}/applications

# JARS required by the client app
weblogic.client.jar=${weblogic.home.dir}/server/lib/weblogic.jar

# physical JNDI of the datasource
weblogic.datasource=jdbc/xpetstore

# physical JNDI of the javax.jms.QueueConnectionFactory
weblogic.queue.ConnectionFactory=jms/ConnectionFactory

# physical JNDI of the queue used by xpetstore.services.order.OrderProcessorMDB
weblogic.queue.order=jms/queue/mail

# physical JNDI of the queue used by xpetstore.services.mail.MailerMDB
weblogic.queue.mail=jms/queue/order

# physical JNDI of the javax.jms.MailSession
weblogic.mail.session=mail/MailSession

# Always create the tables on deployment
weblogic.create.table=true




#==========================================================================================
# JBoss Section
#
# Note
# 	- Make sure that the environemment variable JBOSS_HOME
#   - Create a new server named xpetstore.
#     Copy $JBOSS_HOME/server/default to JBOSS_HOME/server/xpetstore
#   - You must create the following resources
#      	1. JDBC datasource: jndi-name=java:/xpetstoreDS
#		2. JMS queues: jndi-names=queue/order, queue/mail
#     Goto XPETSTORE_HOME/src/petstore/etc/jboss to the configuration files.
#     Install them into JBOSS_HOME/server/xpetstore/deploy
#==========================================================================================

# JBoss version
jboss.version=3.0

# JBoss home directory
# was jboss.home.dir=${env.JBOSS_HOME}
jboss.home.dir=c:/soft/jboss/jboss-3.0.4_tomcat-4.1.12
#jboss.home.dir=c:/soft/jboss/jboss-3.0.0_tomcat-4.0.3

# Deploment directory.
jboss.deploy.dir=${jboss.home.dir}/server/xpetstore/deploy
#jboss.deploy.dir=${jboss.home.dir}/server/default/deploy

# Directory containing all the jars required by client application
jboss.client.jar=${jboss.home.dir}/client/jbossall-client.jar:\
${jboss.home.dir}/client/jnp-client.jar:\
${jboss.home.dir}/client/log4j.jar

# physical JNDI of the datasource
jboss.datasource=java:/xpetstoreDS

# physical JNDI name of the javax.jms.QueueConnectionFactory
jboss.queue.ConnectionFactory=java:/ConnectionFactory

# physical JNDI name of the queue used by xpetstore.services.order.OrderProcessorMDB
jboss.queue.order=queue/order

# physical JNDI name of the queue used by xpetstore.services.mail.MailerMDB
jboss.queue.mail=queue/mail

# physical JNDI name of the javax.jms.MailSession
jboss.mail.session=java:/Mail

# Always create tables at each deployment
jboss.create.table=true
jboss.remove.table=true

# JBoss type mappings. (Don't change the following lines)
jboss.typemapping.hsqldb=Hypersonic SQL
jboss.typemapping.pointbase=PointBase
jboss.typemapping.postgres=PostgreSQL
jboss.typemapping.postgres72=PostgreSQL 7.2
jboss.typemapping.sapdb=SapDB
jboss.typemapping.mssql=MS SQLSERVER
jboss.typemapping.mssql2000=MS SQLSERVER2000
# I added the line beneath - for a list of all the jboss type mappings see
# $JBOSS_HOME/server/default/conf/standardjbosscmp-jdbc.xml 
jboss.typemapping.mysql=mySQL
jboss.tuned.updates=true
